<!--
  Generated template for the UserActivationPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar hideBackButton="true" color="primary">
    <ion-title style="text-align: center">User Activation</ion-title>
  </ion-navbar>
</ion-header>
<ion-content padding class="transparentScanner home-background" >
  <ion-list>
    <form class="example-form">
      <ion-item no-lines="true">
        <ion-label>
          <h1 text-center>Welcome to Liberty Assist</h1>
          <!-- <h1 text-center>Liberty Assist</h1> -->
          <br /><br /><br /><br />
          <h3 text-center>Enter the activation code</h3>
        </ion-label>
      </ion-item>
      <ion-item no-lines="true">
        <mat-form-field class="example-full-width">
          <input type="tel" matInput maxlength="16" [(ngModel)] = "activationCode" #activationCodeA name="activation-code">
        </mat-form-field>
      </ion-item>
      <ion-item no-lines="true">
        <ion-label>
          <h1 text-center>OR</h1>
        </ion-label>
      </ion-item>
      <div padding>
        <button (click)="openScanner()" mat-raised-button class="full-width" color="primary" expand="block">Scan barcode</button>
      </div>
      <div padding>
        <ion-row>
          <ion-col>
            <button mat-raised-button class="full-width" color="secondary" (click)="activate()">Activate</button>
          </ion-col>
        </ion-row>
      </div>
      <ion-label color="danger">
        <h4 text-center>
          <span *ngIf="errorString">{{errorString}}</span>
        </h4>
      </ion-label>
    </form>
  </ion-list>
</ion-content>
<div class="ocrloader nontransparentScanner display-none">
  <em></em>
  <div>
    <i></i><i></i><i></i><i></i><i></i><i></i><i></i>
    <i></i><i></i><i></i><i></i><i></i><i></i><i></i>
    <i></i><i></i><i></i>
  </div>
  <span></span>
</div>
<ion-footer class="nontransparentScanner display-none">
  <ion-toolbar transparent>
    <ion-buttons end>
      <button large ion-button color="light" (click)="exitScanner();">
        Exit
      </button>
    </ion-buttons>

  </ion-toolbar>
</ion-footer>
